- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members
NagamochiIbaraki< GR, CM, TR >::SetUnitCapacity Struct Reference

## Detailed Description

### template<typename GR, typename CM, typename TR>
struct lemon::NagamochiIbaraki< GR, CM, TR >::SetUnitCapacity

Named parameter for setting the capacity map to a constMap<Edge, int, 1>() instance

`#include <lemon/nagamochi_ibaraki.h>`

Inheritance diagram for NagamochiIbaraki< GR, CM, TR >::SetUnitCapacity:
[legend]

## Additional Inherited Members
Public Types inherited from NagamochiIbaraki< Graph, CapacityMap, SetUnitCapacityTraits >
typedef Traits::Graph | Graph
| The type of the underlying graph.
typedef Traits::CapacityMap | CapacityMap
| The type of the capacity map.
typedef Traits::CapacityMap::Value | Value
| The value type of the capacity map.
typedef Traits::Heap | Heap
| The heap type used by the algorithm.
typedef Traits::HeapCrossRef | HeapCrossRef
| The cross reference type used for the heap.
Public Member Functions inherited from NagamochiIbaraki< Graph, CapacityMap, SetUnitCapacityTraits >
| NagamochiIbaraki (const Graph &graph, const CapacityMap &capacity)
| Constructor. More...
| NagamochiIbaraki (const Graph &graph)
| Constructor. More...
| ~NagamochiIbaraki ()
| Destructor. More...
NagamochiIbaraki & | heap (Heap &hp, HeapCrossRef &cr)
| Sets the heap and the cross reference used by algorithm. More...
void | init ()
| Initializes the internal data structures. More...
bool | processNextPhase ()
| Processes the next phase. More...
void | start ()
| Executes the algorithm. More...
void | run ()
| Runs NagamochiIbaraki algorithm. More...
Value | minCutValue () const
| Returns the min cut value. More...
Value | minCutMap (CutMap &cutMap) const
| Returns a min cut in a NodeMap. More...